Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.io.datastore.schema.content
Enum SpecialContent.VARIABLE

    java.lang.Object
      java.lang.Enum<SpecialContent.VARIABLE>
          org.deegree.io.datastore.schema.content.SpecialContent.VARIABLE

All Implemented Interfaces:
  Serializable, Comparable<SpecialContent.VARIABLE>

Enclosing class:
  SpecialContent

    public static enum SpecialContent.VARIABLE

extends Enum<SpecialContent.VARIABLE>

Known variables.

Enum Constant Summary
`QUERY_BBOX` Bounding box of the query.

Method Summary
`static SpecialContent.VARIABLE` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SpecialContent.VARIABLE[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### QUERY_BBOX

    public static final SpecialContent.VARIABLE QUERY_BBOX

  Bounding box of the query.

Method Detail

### values

    public static final SpecialContent.VARIABLE[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SpecialContent.VARIABLE c : SpecialContent.VARIABLE.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SpecialContent.VARIABLE valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org